# email

addsyntaxmap "email" \
{
	exp {e_quote_old_start4		"^([ \t]*\\>){5}"}
	exp {e_quote_old_start3		"^([ \t]*\\>){4}"}
	exp {e_quote_old_start2		"^([ \t]*\\>){3}"}
	exp {e_quote_old_start1		"^([ \t]*\\>){2}"}
	exp {e_quote_old_start0		"^[ \t]*\\>"}
	exp {e_end_of_line			"\n"}
	exp {e_underline			"<_[^_\\n]+_>"}
	exp {e_bold					"<\\*[^*\\n]+\\*>"}

	map {m_quote_old4			e_quote_old_start4		{e_end_of_line}						$style_indent4		$style_indent4	0}
	map {m_quote_old3			e_quote_old_start3		{e_end_of_line}						$style_indent3		$style_indent3	0}
	map {m_quote_old2			e_quote_old_start2		{e_end_of_line}						$style_indent2		$style_indent2	0}
	map {m_quote_old1			e_quote_old_start1		{e_end_of_line}						$style_indent1		$style_indent1	0}
	map {m_quote_old0			e_quote_old_start0		{e_end_of_line}						$style_indent0		$style_indent0	0}

	map {m_underline			e_underline				{}									$style_bold			0				0}
	map {m_bold					e_bold					{}									$style_bold			0				0}

	root {m_quote_old4 m_quote_old3 m_quote_old2 m_quote_old1 m_quote_old0 m_underline m_bold}
}


set	extensionHuntExpression(email)	{^((.*\.eml)|(.*\.EML))$}
set	extensionTabSize(email)			8
set	extensionColorScheme(email)		"email"
set	extensionMapName(email)			"email"
